activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cau_hechun <cau_hec...@126.com>
Subject activemq-client 5.8.0 conflicts with icu4j 2.6.1 in maven
Date Fri, 25 Oct 2013 02:20:58 GMT
    I add activemq-client 5.8.0 and  icu4j 2.6.1 in maven dependencies. Then
I start, which will prompt me error below:
   java.lang.IllegalStateException
	at
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1562)
	at
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1521)
	at
org.apache.activemq.ActiveMQConnection.<init>(ActiveMQConnection.java:180)
	at
org.apache.activemq.ActiveMQConnectionFactory.createActiveMQConnection(ActiveMQConnectionFactory.java:298)
	at
org.apache.activemq.ActiveMQConnectionFactory.createActiveMQConnection(ActiveMQConnectionFactory.java:266)
	at
org.apache.activemq.ActiveMQConnectionFactory.createActiveMQConnection(ActiveMQConnectionFactory.java:238)
	at
org.apache.activemq.ActiveMQConnectionFactory.createConnection(ActiveMQConnectionFactory.java:184)
   If I remove dependency of icu4j 2.6.1 or repace a icu4j with higher
version , it can work.
   Is there confict betweent these two jars?
 



--
View this message in context: http://activemq.2283324.n4.nabble.com/activemq-client-5-8-0-conflicts-with-icu4j-2-6-1-in-maven-tp4673225.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.

Mime
View raw message